Packages - Bug #3034

icedove: XPCOMGIlueLoad error for file /usr/lib/icedove/libxul.so
2021-05-18 02:47 PM - avalos

Status: unconfirmed % Done: 0%
Priority: bug

Assignee: oaken-source

Category:

Description

Hello! Whenever | try to run icedove, this error pops up immediately:

XPCOMGlueLoad error for file /usr/lib/icedove/libxul.so:
libicuil8n.so.67: cannot open shared object file: No such file or directory
Couldn't load XPCOM.

Related issues:

Related to Packages - Bug #2958: [libre/icedove-extension-enigmail] Not compa... in progress
Related to Packages - Bug #3115: [icedove][p11-kit][multiple]: libffi.s0.7: c... in progress
History

#1 - 2021-05-18 02:50 PM - avalos

I did run pacman -Syu before installing Icedove. I'm running the latest version available on the repo. Here's the output of the uname -a command:
Linux thinkpad 5.10.27-gnu-1-1lts #1 SMP Mon, 05 Apr 2021 03:46:19 +0000 x86_64 GNU/Linux

#2 - 2021-05-19 12:52 AM - bill-auger

anything broken with icedove v68 is probably not going to be fixed - icedove-78.9.1 is in [libre-testing] - please try that package and report any
problems

#3 - 2021-05-19 12:53 AM - bill-auger
- Related to Bug #2958: [libre/icedove-extension-enigmail] Not compatible with latest [gnupg] added

#4 - 2021-05-19 03:25 AM - avalos

Wouldn't enabling the [libre-testing] repository cause all my system to upgrade to testing? Or can | install only the packages | want from libre-testing
selectively? Sorry for the noob question, this is my first time using any Arch-based system.

#5 - 2021-05-19 11:45 PM - bill-auger

those statements are both true - to install a single package:

1. pacman -U https://www.parabola.nu/packages/libre-testing/x86_64/icedove/download/

... where the URL is from the "Download from Mirror" link on the
packages website

https://www.parabola.nu/packages/libre-testing/x86_64/icedove/

#6 - 2022-02-14 01:44 AM - bill-auger
- Related to Bug #3115: [icedove][p11-kit][multiple]: libffi.so.7: cannot open shared object file added

#7 - 2024-03-20 10:55 PM - bill-auger
as a concession, i have packaged the trisquel icedove binaries for parabola in PCR - icedove - the package name is 'icedove-bin', if people want to
use it

i am keeping this ticket 'open'; because the is not an ideal solution

binary packages are generally not acceptable

icedove has been unable to build for a long time though
libre/icedove still works; but is quite out-of-date

ideally, let's fix libre/icedove and delete pcr/icedove-bin
#8 - 2024-04-03 07:57 PM - bill-auger

there is icedove 115.9.0 in libre-testing - can people try it and report your experience? - if it has no problems, it can be promoted to libre

# pacman -U https://repo.parabola.nu/pool/parabola/icedove-1:115.9.0-1.parabolal-x86_64.pkg.tar.zst

#9 - 2024-04-03 08:06 PM - oaken-source

- Assignee set to oaken-source

#10 - 2024-04-03 10:57 PM - avalos

Neat! It runs and so far seems to work fine, thanks so much!
However, it's been three years after the bug was originally reported...
...now | use Evolution.

#11 - 2024-04-03 10:59 PM - avalos

By the way, it seems to take you to this URL at the first launch:

https://www.thunderbird.net/en-US/thunderbird/115.0/holidayeoy/

Not sure if that constitutes a freedom issue.

2024-04-17 22


https://www.thunderbird.net/en-US/thunderbird/115.0/holidayeoy/
http://www.tcpdf.org

